MCP Tools Reference: dataplex.googleapis.com

Tool: create_data_asset

Initiates the creation of a Data Asset.

  • The tool returns a long-running operation. Use the get_operation tool to poll its status until the operation completes.
  • The data asset creation operation can take several minutes. Wait at least 5 seconds before rechecking the status.
  • After you use the create_data_asset tool to create a data asset, use the get_data_asset tool to get the data asset details.

The following sample demonstrate how to use curl to invoke the create_data_asset MCP tool.

Curl Request
                  
curl --location 'https://dataplex.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_data_asset",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for creating a data asset.

CreateDataAssetRequest

JSON representation
{
  "projectId": string,
  "dataAssetId": string,
  "resourceType": enum (ResourceType),
  "location": string,
  "dataProductId": string,
  "resourceProjectId": string,
  "resourceLocationId": string,
  "resourceDatasetId": string,
  "resourceId": string,
  "labels": {
    string: string,
    ...
  },
  "accessGroupConfigs": [
    {
      object (AccessGroupConfig)
    }
  ]
}
Fields
projectId

string

Required. The project ID where this data asset will be created.

dataAssetId

string

Required. The ID of the data asset to create.

The ID must conform to RFC-1034 and contain only lower-case letters (a-z), numbers (0-9), or hyphens, with the first character a letter, the last a letter or a number, and a 63 character maximum. Characters outside of ASCII are not permitted. Valid format regex: ^[a-z]([a-z0-9-]{0,61}[a-z0-9])?$

resourceType

enum (ResourceType)

Required. Data asset creator must have getIamPolicy and setIamPolicy permissions on the resource. Data asset creator must also have resource specific get permission, for instance, bigquery.tables.get for BigQuery tables.

location

string

Required. The location where this data asset will be created.

dataProductId

string

Required. The ID of the data product this data asset belongs to.

resourceProjectId

string

Optional. The project ID of the resource. This is NOT required if the resource is a CLOUD_STORAGE_BUCKET.

resourceLocationId

string

Optional. The location of the resource. This is required if the resource type is - GEMINI_ENTERPRISE_AGENT_PLATFORM_DATASET - GEMINI_ENTERPRISE_AGENT_PLATFORM_MODEL

resourceDatasetId

string

Optional. The dataset ID of the resource. This is required if the resource type is BIGQUERY_* or GEMINI_ENTERPRISE_AGENT_PLATFORM_DATASET

resourceId

string

Optional. The resource ID of the resource. It stores the following resource id's - BigQuery table id for BIGQUERY_TABLE - BigQuery view id for BIGQUERY_VIEW - BigQuery model id for BIGQUERY_MODEL - BigQuery routine id for BIGQUERY_ROUTINE - Cloud Storage bucket id for CLOUD_STORAGE_BUCKET - Model id for GEMINI_ENTERPRISE_AGENT_PLATFORM_MODEL

labels

map (key: string, value: string)

Optional. User-defined labels for the data asset.

Example:

{ "environment": "production", "billing": "marketing-department" }

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

accessGroupConfigs[]

object (AccessGroupConfig)

Optional. Access groups roles configurations for this data asset.

Currently, at most one IAM role is allowed per access group. For providing multiple predefined IAM roles, wrap them in a custom IAM role as per https://cloud.google.com/iam/docs/creating-custom-roles.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

AccessGroupConfig

JSON representation
{
  "accessGroupId": string,
  "role": string
}
Fields
accessGroupId

string

Required. The ID of the access group (matching the ID in the parent data product).

role

string

Required. The IAM role granted to this access group for this data asset (e.g. "roles/bigquery.dataViewer").

ResourceType

The type of BigQuery resource to be represented by this data asset.

Enums
RESOURCE_TYPE_UNSPECIFIED Unspecified resource type.
BIGQUERY_DATASET BigQuery dataset.
BIGQUERY_TABLE BigQuery table. External tables are also supported.
BIGQUERY_VIEW BigQuery view.
BIGQUERY_ROUTINE BigQuery routine.
BIGQUERY_MODEL BigQuery model.
GEMINI_ENTERPRISE_AGENT_PLATFORM_DATASET Gemini Enterprise Agent Platform datasets.
GEMINI_ENTERPRISE_AGENT_PLATFORM_MODEL Gemini Enterprise Agent Platform models.
CLOUD_STORAGE_BUCKET Cloud Storage buckets.

Output Schema

This resource represents a long-running operation that is the result of a network API call.

Operation

JSON representation
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
Fields
name

string

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadata

object

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

done

boolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following:
error

object (Status)

The error result of the operation in case of failure or cancellation.

response

object

The normal, successful response of the operation. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Any

JSON representation
{
  "typeUrl": string,
  "value": string
}
Fields
typeUrl

string

Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name.

Example: type.googleapis.com/google.protobuf.StringValue

This string must contain at least one / character, and the content after the last / must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them.

The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last / to identify the type. type.googleapis.com/ is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests.

All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): /-.~_!$&()*+,;=. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, type.googleapis.com%2FFoo should be rejected.

In the original design of Any, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs.

value

string (bytes format)

Holds a Protobuf serialization of the type described by type_url.

A base64-encoded string.

Status

JSON representation
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
Fields
code

integer

The status code, which should be an enum value of google.rpc.Code.

message

string

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.

details[]

object

A list of messages that carry the error details. There is a common set of message types for APIs to use.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌